%define momorel 3
Summary: Omni printer driver library install program
Name: Omni
Version: 0.9.0
Release: %{momorel}m
Group: System Environment/Base
License: LGPL
URL: http://www.ibm.com/linux/ltc/projects/omni/
Source0: http://telia.dl.sourceforge.net/omniprint/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: omni-0.9.0-pkgdatadir.patch
Patch1: omni-0.9.0-acinit.patch
Patch3: omni-gcc33.patch
Patch4: omni-0.9.0-validate.patch
Patch5: omni-0.9.0-parser.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Obsoletes: Omni-foomatic
BuildPreReq: libxml2-devel cups-devel
BuildPreReq: foomatic >= 3.0.0
BuildPreReq: foomatic-db
PreReq: foomatic

%description
Installation spec file for installing the Omni printer
driver model on a system

%package Brother
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description Brother
Installation spec file for installing the Omni printer
driver model on a system

%package Canon
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description Canon
Installation spec file for installing the Omni printer
driver model on a system

%package Epson
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description Epson
Installation spec file for installing the Omni printer
driver model on a system

%package HP
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description HP
Installation spec file for installing the Omni printer
driver model on a system

%package IBM
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description IBM
Installation spec file for installing the Omni printer
driver model on a system

%package KS
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description KS
Installation spec file for installing the Omni printer
driver model on a system

%package Kyocera
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description Kyocera
Installation spec file for installing the Omni printer
driver model on a system

%package Okidata
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description Okidata
Installation spec file for installing the Omni printer
driver model on a system

%package Panasonic
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description Panasonic
Installation spec file for installing the Omni printer
driver model on a system

%package Star
Summary: Omni printer driver library install program
Group: System Environment/Libraries
Requires: %{name} == %{version}-%{release}

%description Star
Installation spec file for installing the Omni printer
driver model on a system

%prep
%setup -q -n %{name}
%patch0 -p1 -b .pkgdatadir
%patch1 -p1 -b .acinit

aclocal

# Prevent warnings messing up configure tests.
%patch3 -p1 -b .gcc33
autoconf

# Don't attempt to validate the XML (no DTD available).
%patch4 -p1 -b .validate

# Fix the stupid parser.
%patch5 -p1 -b .parser

# move readme into the directory, where it belongs
mv ../Omni.Readme.1st .


%build
# Make the omni libs
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS CXXFLAGS
libtoolize --copy --force
./setupOmni --prefix=%{_prefix} --enable-devicecompile --disable-devicexml

# Make the foomatic files
cd Foomatic
make localInstall FOOMATICROOT=$(pwd)
cd ..


%install
rm -rf %{buildroot}
%makeinstall \
        libdir=%{buildroot}%{_libdir}/Omni \
	        CUPSEXEROOT=%{buildroot}%{_libdir}/cups/filter \
		        CUPSDATAROOT=%{buildroot}%{_datadir}/cups/model/foomatic
			
# Update any old-style printer IDs still left around.
echo '#!/usr/bin/perl -pi' > convert-printerids.pl
sed -e 's|^\(.*\) \(.*\)$|s,printer/\1,printer/\2,g;|' \
        %{_datadir}/foomatic/db/oldprinterids >> convert-printerids.pl
chmod a+x convert-printerids.pl
./convert-printerids.pl Foomatic/foomatic-db/db/source/*/*.xml
	
# Install the foomatic data
mkdir -p %{buildroot}/usr/share/foomatic/db/source/{driver,opt}
cp -a Foomatic/foomatic-db/db/source/driver/* \
        %{buildroot}/usr/share/foomatic/db/source/driver/
cp -a Foomatic/foomatic-db/db/source/opt/* \
        %{buildroot}/usr/share/foomatic/db/source/opt/
	
rm -f %{buildroot}%{_prefix}/*.xsd
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_libdir}/cups/filter
rm -rf %{buildroot}%{_datadir}/cups/model/foomatic
		
%clean
rm -rf %{buildroot}

%post		-p /sbin/ldconfig


%post Brother
/sbin/ldconfig
#%%update_foomatic_cache
true

%post Canon
/sbin/ldconfig
#%%update_foomatic_cache
true

%post Epson
/sbin/ldconfig
#%%update_foomatic_cache
true

%post HP
/sbin/ldconfig
#%%update_foomatic_cache
true

%post IBM
/sbin/ldconfig
#%%update_foomatic_cache
true

%post KS
/sbin/ldconfig
#%%update_foomatic_cache
true

%post Kyocera
/sbin/ldconfig
#%%update_foomatic_cache
true

%post Okidata
/sbin/ldconfig
#%%update_foomatic_cache
true

%post Panasonic
/sbin/ldconfig
#%%update_foomatic_cache
true

%post Star
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun		  -p /sbin/ldconfig

%postun Brother
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun Canon
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun Epson
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun HP
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun IBM
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun KS
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun Kyocera
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun Okidata
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun Panasonic
/sbin/ldconfig
#%%update_foomatic_cache
true

%postun Star
/sbin/ldconfig
#%%update_foomatic_cache
true

%files
%defattr(-,root,root)
%doc docs
%{_libdir}/Omni/libomni*
%{_datadir}/Omni/foo2omni
%{_datadir}/cups/model
%{_datadir}/foomatic/db/source/driver/*
%{_datadir}/foomatic/db/source/opt/*

%files Brother
%defattr(-,root,root)
%{_libdir}/Omni/libBrother*

%files Canon
%defattr(-,root,root)
%{_libdir}/Omni/libCanon*

%files Epson
%defattr(-,root,root)
%{_libdir}/Omni/libEpson*

%files HP
%defattr(-,root,root)
%{_libdir}/Omni/libHP*

%files IBM
%defattr(-,root,root)
%{_libdir}/Omni/libIBM*

%files KS
%defattr(-,root,root)
%{_libdir}/Omni/libKS*

%files Kyocera
%defattr(-,root,root)
%{_libdir}/Omni/libKyocera*

%files Okidata
%defattr(-,root,root)
%{_libdir}/Omni/libOki*

%files Panasonic
%defattr(-,root,root)
%{_libdir}/Omni/libPanasonic*

%files Star
%defattr(-,root,root)
%{_libdir}/Omni/libStar*


%changelog
* Mon Sep  1 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-3m)
- add BuildPreReq: foomatic-db for /usr/share/foomatic/db/oldprinterids

* Mon Sep  1 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.0-2m)
- remove %%update_foomatic_cache from %%post and %%preun (this macro is no longer defined...)

* Fri Aug 29 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.0-1m)
- upgrade 0.9.0

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-2m)
- remove Omni-jobdialog sub package which depends on gtk+1

* Sun Dec 15 2002 Kenta MURATA <muraken@momonga-linux.org>
- (0.7.1-1m)
- version up to 0.7.1.

* Tue Jun  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.6.0-10k)
- the file list of Epson driver should be filelist.Epson

* Sat Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.6.0-4k)
- omit Omni-foomatic package. it merged foomatic.

* Sat Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.6.0-2k)
- first release.
